﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace linq01
{
    class Program
    {
        static List<Auteur> lijst = new List<Auteur>
        {
            new Auteur{Naam ="Hugo Claus", GebDatum= new DateTime(1929,4,5)},
            new Auteur{Naam = "Herman Brusselmans",GebDatum= new DateTime(1957,10,9)},
            new Auteur{Naam="Felix Timmermans",GebDatum= new DateTime(1886,7,5)},
            new Auteur{Naam="Amélie Nothomb",GebDatum= new DateTime(1967,8,13)},
            new Auteur{Naam="Georges Simenon",GebDatum= new DateTime(1903,2,13)}
        };
        static void Main(string[] args)
        {

            DateTime verschildatum = new DateTime(1950, 1, 1);
            var auteurQuery = from auteur in lijst
                              where auteur.GebDatum > verschildatum
                              orderby auteur.Naam
                              select auteur;

            Console.WriteLine("Auteurs geboren na 1950");
            foreach (Auteur a in auteurQuery)
            {
                Console.WriteLine("{0} ({1:d})", a.Naam,a.GebDatum);
                //Console.WriteLine(a);
            }
            verschildatum = new DateTime(1900, 1, 1);
            Console.WriteLine("\nAuteurs geboren na 1900\n");
            foreach (Auteur a in auteurQuery)
            {
                Console.WriteLine("{0} ({1:d})", a.Naam, a.GebDatum);
                //Console.WriteLine(a);
            }
        }
    }
    public class Auteur
    {
        public String Naam { get; set; }
        public DateTime GebDatum { get; set; } 
    }
}
